#include<iostream>
using namespace std;
int main()
{
    long long n;
    cin>>n;
    long long a=1, b=1, c=1, nachini=0;
    for(a=1; a<=n; a++)
    {
        for(b=1; b<=a; b++)
        {
            if(n%(a*b)==0 and n/(a*b)<=b and n/(a*b)<=a)
            {
                c=n/(a*b);
                //cout<<a<<" "<<b<<" "<<c<<"\n";
                nachini++;
            }
        }
    }
    cout<<nachini<<"\n";

    return 0;
}
